## cdebconf 0.84ubuntu11

=== debian/changelog ===
cdebconf (0.84ubuntu11) breezy; urgency=low

  * Update translations from Rosetta and Debian: French, Hungarian,
    Norwegian Bokmål.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  4 Oct 2005 18:22:35 +0100

cdebconf (0.84ubuntu10) breezy; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update Ubuntu-specific translations from Rosetta (with some strings from
    Debian where available): Greek, Spanish, Hungarian, Dutch, Portuguese,
    Brazilian Portuguese, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2005 18:14:02 +0100

cdebconf (0.84ubuntu9) breezy; urgency=low

  * Add debconf/key-press template so that it can be translated.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Sep 2005 22:10:12 +0100

cdebconf (0.84ubuntu8) breezy; urgency=low

  * Backport from trunk (closes: Ubuntu #7949):
    - Remove hardcoded limit on length of DATA commands.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Sep 2005 15:17:46 +0100

cdebconf (0.84ubuntu7) breezy; urgency=low

  * Backport from trunk:
    - Fix slightly broken memory allocation in escapestr(); we need to
      allocate an extra byte for every newline in the string.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2005 15:06:23 +0100

cdebconf (0.84ubuntu6) breezy; urgency=low

  * Backport from trunk:
    - Make debconf-loadtemplate check whether each question is registered to
      some different template and, if so, re-register them to the loaded
      template. This causes preseeded-as-seen questions to be displayed
      using their real templates rather than debian-installer/dummy.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Sep 2005 12:29:55 +0100

cdebconf (0.84ubuntu5) breezy; urgency=low

  * Backport from trunk, working around problems with translations of
    timezone and apt configuration:
    - Don't bother to save the target templatedb in debconf-copydb unless
      any templates were actually changed.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Sep 2005 13:51:19 +0100

cdebconf (0.84ubuntu4) breezy; urgency=low

  * Fix bad separation of choices in debconf/priority template (closes:
    Ubuntu #13963).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Sep 2005 18:32:57 +0100

cdebconf (0.84ubuntu3) breezy; urgency=low

  * Rebuild with the new cairo version

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 18 Aug 2005 17:14:16 +0000

cdebconf (0.84ubuntu2) breezy; urgency=low

  [ Tollef Fog Heen ]
  * When copying questions in debconf-copydb, make sure that the template
    referred to exists in the target database.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 17 Aug 2005 14:02:50 +0200

cdebconf (0.84ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Aug 2005 14:45:18 +0100

cdebconf (0.84) unstable; urgency=low

  * Fix horrible argv initialisation code in gtk frontend.
  * Add gtk frontend to cdebconf.deb; enable cdebconf-gtk-udeb.
  * Fix some compiler warnings in gtk frontend.
  * Reap child processes when SIGCHLD is received, otherwise we may hang in
    read().

  * Updated translations:
    - German (de.po)
    - Basque (eu.po)
    - Persian (fa.po) by Arash Bijanzadeh
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Fri,  5 Aug 2005 14:10:28 +0100

cdebconf (0.83) unstable; urgency=low

  * Disable flow control in the newt frontend. It's very confusing when you
    press Ctrl-S by accident and wonder why the installer stopped accepting
    input.
  * Fix memory leak in confmodule_communicate.

  * Updated translations:
    - German (de.po) by Dennis Stampfer
    - Esperanto (eo.po) by Serge Leblanc
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarre Beobide Egaña
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Macedonian (mk.po) by Georgi Stanojevski
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Slovenian (sl.po) by Jure Čuhalev
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2005 11:26:08 +0100

cdebconf (0.82) unstable; urgency=low

  [ Colin Watson ]
  * Simplify strchoicesplit() slightly.
  * Use (char *) 0 as the sentinel to strvacat(), not just 0; this makes a
    difference on some 64-bit systems.
  * Perform printf format string (requires gcc) and sentinel (requires gcc
    >= 4) checking on various function arguments.

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Arief S Fitrianto
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Slovak (sk.po) by Peter Mann
    - Tagalog (tl.po) by Eric Pareja
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 16:41:32 +0300

cdebconf (0.81ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Jun 2005 19:38:07 +0100

cdebconf (0.81) unstable; urgency=low

  * Colin Watson
    - When building the slang frontend against slang2, enable UTF-8
      according to the locale.
    - Add a continue button to string and password questions in the newt
      frontend, although you can still just press Enter in the text entry
      box (closes: #257969).
    - Document <Tab>, <Space>, and <Enter> in a help line for the newt
      frontend (closes: #247233).


## cdebconf 0.84ubuntu12

=== src/test/Makefile ===
include ../../globalmakeflags
CFLAGS += -I..
BIN=configtest dbtest detecttest
OBJS=$(subst .c,.o,$(wildcard *.c))
LDFLAGS=-Wl,-rpath,$(shell cd ..; pwd) -ldl

all: $(BIN)

configtest: ../strutl.o ../configuration.o configtest.o ../debug.o
	$(CC) $(LDFLAGS) -o $@ $^

dbtest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o dbtest.o ../debug.o
	$(CC) -o $@ $^ $(LDFLAGS)

fetest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o ../frontend.o fetest.o
	$(CC) -o $@ $^ $(LDFLAGS)

#strtest: ../strutl.o strtest.o
#	$(CC) -o $@ $^ $(LDFLAGS)

detecttest: detecttest.c
	$(CC) -o $@ -I..  $^ ../detect_keys.o ../debug.o

clean:
	-rm -f $(BIN) $(OBJS) *.dat *~

=== debian/changelog ===
cdebconf (0.84ubuntu12) breezy-security; urgency=low

  * Backport from trunk (Malone #34606):
    - Honour accept_types/reject_types for questions registered against
      templates that were received in DATA commands over passthrough. This
      was one of the root causes of Ubuntu's recent installer password
      disclosure vulnerability (CVE-2006-1183).
    - Reset question template pointers whenever they change, not just when
      the tag changes; do this in X_LOADTEMPLATEFILE and dpkg-reconfigure as
      well as debconf-loadtemplate.
    - Add a remove method to the question database; use this to migrate
      questions to the correct stacked database in the event that their
      types change (fixes preseeded passwords ending up in questions.dat on
      the installed system in some cases).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  3 Apr 2006 23:40:43 +0100

=== debian/control ===
Source: cdebconf
Section: utils
Priority: optional
Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libgtk2.0-dev, libtextwrap-dev, libdebian-installer4-dev | libdebian-installer-dev
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.6.1

Package: cdebconf
Architecture: any
Depends: ${shlibs:Depends}
Provides: debconf-2.0
Conflicts: debconf, debconf-doc
Priority: extra
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 Installing this package is rather dangerous now. It will break debconf.
 You have been warned!

Package: libdebconfclient0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is the libraries needed by libdebconfclient-dev and cdebconf.

Package: libdebconfclient0-dev
Architecture: any
Section: libdevel
Depends: libdebconfclient0 (= ${Source-Version})
Conflicts: libdebconfclient-dev, libdebconf-dev, libcdebconf-dev, cdebconf-dev
Provides: libdebconfclient-dev
Replaces: libdebconf-dev
Description: Development files for cdebconf
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This package contains files needed to do cdebconf development

Package: cdebconf-udeb
Architecture: any
Section: debian-installer
Priority: standard
Depends: ${shlibs:Depends}
Provides: debconf-2.0
XC-Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-udeb is a minimal cdebconf package used by the 
 debian-installer

Package: cdebconf-priority
Architecture: all
Section: debian-installer
Priority: standard
Depends: cdebconf-udeb
XC-Package-Type: udeb
XB-installer-menu-item: 930
Description: Change debconf priority
 This is a udeb that allows you to change the priority limit for the
 questions.

Package: libdebconfclient0-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}, cdebconf-udeb
Provides: libdebconfclient0
XC-Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is a udeb version of libdebconfclient0.

Package: cdebconf-slang-udeb
Architecture: disabled
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}
XC-Package-Type: udeb
Description: S-Lang frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-slang-udeb is a minimal S-Lang frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-newt-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}
XC-Package-Type: udeb
Description: Newt frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-newt-udeb is a minimal Newt frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-text-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, ${shlibs:Depends}
XC-Package-Type: udeb
Description: Plain text frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-text-udeb is a basic plain text frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-gtk-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, ${shlibs:Depends}
XC-Package-Type: udeb
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk-udeb is a minimal Gtk+ frontend cdebconf package used
 by the debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

debbuild=debian/build-deb
udebbuild=debian/build-udeb

DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
CONFFILE=/etc/cdebconf.conf

#package names
LIBDEBCONFDEV=libdebconfclient0-dev
LIBDEBCONF=libdebconfclient0

DEB_FRONTENDS=text newt gtk
UDEB_FRONTENDS=text newt gtk

SIZEOPTFLAG=-Os
SPEEDOPTFLAG=-O2
DEBUG_CONFIGURE_OPT=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
	SIZEOPTFLAG=
	SPEEDOPTFLAG=
	DEBUG_CONFIGURE_OPT=--with-debug=yes
endif

build: build-deb build-udeb

$(debbuild)/config.status:
	[ -d $(debbuild) ] || mkdir -p $(debbuild)
	cd $(debbuild); \
	CFLAGS="$(CFLAGS) $(SPEEDOPTFLAG)" \
	../../configure \
		--prefix=/usr \
		--sysconfdir=/etc \
		--without-rpath \
		--with-db="textdb rfc822db stack" \
		--with-frontend="$(DEB_FRONTENDS)" \
		--with-textwrap \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-deb: build-deb-stamp
build-deb-stamp: $(debbuild)/config.status
	dh_testdir
	$(MAKE) -C $(debbuild)
	touch $@

$(udebbuild)/config.status:
	[ -d $(udebbuild) ] || mkdir -p $(udebbuild)
	cd $(udebbuild); \
	CFLAGS="$(CFLAGS) $(SIZEOPTFLAG) -fomit-frame-pointer" \
	../../configure \
		--prefix=/usr \
		--sysconfdir=/etc \
		--enable-d-i \
		--without-rpath --with-db="rfc822db stack" \
		--with-frontend="$(UDEB_FRONTENDS)" \
		--with-default-frontend=newt \
		--with-syslog-logging \
		--with-textwrap \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-udeb: build-udeb-stamp
build-udeb-stamp: $(udebbuild)/config.status
	dh_testdir
	$(MAKE) -C $(udebbuild)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	-rm -rf $(debbuild) $(udebbuild)
	-$(MAKE) -C src/test clean
	-$(MAKE) distclean
	dh_clean

install: install-arch install-indep

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k -a
	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
	dh_install -a --sourcedir=debian/tmp

install-indep:

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installdebconf -i
	dh_installdirs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installdebconf -s
	dh_installdirs -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.97ubuntu3

=== src/modules/frontend/gtk/Makefile ===
MODULE=gtk
SOBJ=gtk.so
OBJS=gtk.opic
MODCFLAGS=`pkg-config --cflags gtk+-directfb-2.0`

MODLDFLAGS=`pkg-config --libs gtk+-directfb-2.0`

include ../modules.mak

=== debian/changelog ===
cdebconf (0.97ubuntu3) dapper; urgency=low

  * Backport from trunk:
    - Reset question template pointers whenever they change, not just when
      the tag changes; do this in X_LOADTEMPLATEFILE and dpkg-reconfigure as
      well as debconf-loadtemplate.
    - Add a remove method to the question database; use this to migrate
      questions to the correct stacked database in the event that their
      types change (fixes preseeded passwords ending up in questions.dat on
      the installed system in some cases).
  * Add CVE number to 0.97ubuntu2 changelog entry.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Mar 2006 13:43:30 +0000

cdebconf (0.97ubuntu2) dapper; urgency=low

  * Backport from trunk:
    - Honour accept_types/reject_types for questions registered against
      templates that were received in DATA commands over passthrough. This
      was one of the root causes of Ubuntu's recent installer password
      disclosure vulnerability (CVE-2006-1183).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Mar 2006 02:08:16 +0000

cdebconf (0.97ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Jan 2006 12:14:46 +0000

cdebconf (0.97) unstable; urgency=low

  * Install debconf-communicate in cdebconf.deb.
  * Avoid stdio buffering in debconf-communicate.
  * Add -f/--frontend option to debconf-communicate.
  * Treat 'noninteractive' frontend as an alias for 'none', for
    compatibility with debconf.
  * Set frontend title to "" on initialisation to avoid segfaults in
    debconf-communicate.
  * Fix frontend_go return code so that GO works in the noninteractive
    frontend.

 -- Colin Watson <cjwatson@debian.org>  Tue, 31 Jan 2006 11:53:57 +0000

cdebconf (0.96ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jan 2006 10:26:05 +0000

cdebconf (0.96) unstable; urgency=low

  [ Frans Pop ]
  * Fix crash when console is switched in gtk-frontend (closes: #339379).
    Continue processing when interupt is received from DirectFB while the
    read function is blocked while listening to the client.
    Thanks to Denis Oliver Kropp for helping debug this issue.

  [ Denis Barbier ]
  * Change colors in the newt frontend to have a black background if the
    FRONTEND_BACKGROUND environment variable is set to "dark".  Some people
    can hardly read on a white background (closes: #330418).

  [ Attilio Fiandrotti ]
  * GTK theme from gtkrc file is reloaded every time a question is displayed.
    Minor typos were fixed.
  * BG colour of questions description and extended description in the GTK
    frontend is the same of the main window.
  * Reorganized the GTK frontend code before switching specialized question
    handlers to the plugin system.

  [ Colin Watson ]
  * Fix early return from text_progress_set, broken by progress bar
    cancellation.
  * Add 'cdebconf' extension to man pages to avoid clashing with
    debconf-doc.
  * Actually set TARGET during install target, as apparently expected by
    src/Makefile.in, so that we don't try to install includes into udebs
    (although luckily we failed to do so due to dh_install).
  * Move cdebconf binaries to /usr/lib/cdebconf, leaving symlinks in
    /usr/bin and /usr/sbin behind only in the udeb; drop
    /usr/share/debconf/confmodule and /usr/share/debconf/frontend from the
    deb. This renders cdebconf coinstallable with debconf, although changes
    to the debconf confmodule are required to make it actually useful.
  * Remove cdebconf preinst and postrm, no longer required.
  * Remove dpkg-reconfigure from the udeb; d-i apparently hasn't used it
    since main-menu 0.018. Saves about 4KB.

  [ Updated translations ]
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Romanian (ro.po) by Eddy Petrişor
  * Slovenian (sl.po) by Jure Cuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jan 2006 09:58:17 +0000

cdebconf (0.95ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jan 2006 13:35:31 +0000

cdebconf (0.95) unstable; urgency=low

  [ Colin Watson ]
  * Add progress bar cancellation support, only in the newt frontend for
    now. If you send 'CAPB progresscancel', then PROGRESS SET, PROGRESS
    STEP, and PROGRESS INFO may return 30 to indicate that the user
    cancelled the progress bar (closes: #250463).

  [ Attilio Fiandrotti ]
  * Localise back/forward buttons on frontend initialisation rather than on
    GO (closes: #347918).

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Dutch (pa_IN.po) by Amanpreet Singh Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Jan 2006 15:15:30 +0000

cdebconf (0.94) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Removed no longer needed INFO() lines from the GTK frontend to prevent
    syslog pollution.
  * GTK frontend is now able to display obj->info message (closes: #341054).

  [ Tollef Fog Heen ]
  * Return DC_NOTIMPL if a question type isn't implemented, instead of


=== debian/control ===
--- 
+++ 
@@ -1,25 +1,21 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libgtk2.0-dev, libtextwrap-dev, libdebian-installer4-dev | libdebian-installer-dev
+Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev, libdebian-installer4-dev | libdebian-installer-dev
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>
+Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.1
 
 Package: cdebconf
 Architecture: any
 Depends: ${shlibs:Depends}
 Provides: debconf-2.0
-Conflicts: debconf, debconf-doc
 Priority: extra
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
  installed. This is a reimplementation of the original debconf version
  in C.
- .
- Installing this package is rather dangerous now. It will break debconf.
- You have been warned!
 
 Package: libdebconfclient0
 Architecture: any
@@ -70,7 +66,7 @@
 Priority: standard
 Depends: cdebconf-udeb
 XC-Package-Type: udeb
-XB-installer-menu-item: 930
+XB-Installer-Menu-Item: 930
 Description: Change debconf priority
  This is a udeb that allows you to change the priority limit for the
  questions.
@@ -136,10 +132,10 @@
  by the debian-installer.
 
 Package: cdebconf-gtk-udeb
-Architecture: any
+Architecture: disabled
 Section: debian-installer
 Priority: optional
-Depends: cdebconf-udeb, ${shlibs:Depends}
+Depends: cdebconf-udeb, ${shlibs:Depends}, rootskel-gtk (>=0.05)
 XC-Package-Type: udeb
 Description: Gtk+ frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 LIBDEBCONFDEV=libdebconfclient0-dev
 LIBDEBCONF=libdebconfclient0
 
-DEB_FRONTENDS=text newt gtk
-UDEB_FRONTENDS=text newt gtk
+DEB_FRONTENDS=text newt
+UDEB_FRONTENDS=text newt
 
 SIZEOPTFLAG=-Os
 SPEEDOPTFLAG=-O2
@@ -87,8 +87,10 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k -a
-	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
-	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
+	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb \
+		TARGET=deb
+	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb \
+		TARGET=udeb
 	dh_install -a --sourcedir=debian/tmp
 
 install-indep:

## cdebconf 0.104ubuntu2

=== debian/changelog ===
cdebconf (0.104ubuntu2) edgy; urgency=low

  * Rebuild against libnewt0.52.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  3 Jul 2006 17:26:07 +0100

cdebconf (0.104ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
    - Only remaining delta is disabling the gtkfb frontend.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 28 Jun 2006 13:35:09 +0200

cdebconf (0.104) unstable; urgency=low

  * Rebuilt with libtextwrap1 0.1-5 to get proper library udeb dependency.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jun 2006 23:51:08 -0400

cdebconf (0.103) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * GTK frontend: don't display the description for BOOLEAN questions twice.
    Closes: #370172
  * GTK frontend: manage double-clicks and ENTER or SPACEBAR presses in
    SELECT questions.

  [ Joey Hess ]
  * Newt frontend layout fixes:
    - Allow for the up to 5 extra characters of window width that can be
      needed for titles due to the sigil and whitespace around it.
    - Text and password entry boxes have continue buttons, so take the width
      of those buttons into account.
    Closes: #324495
  * Patch from Sesse to fix support for preserving utf-8 (and other)
    fields when copying to debconf database files. Closes: #361872

  [ Frans Pop ]
  * debconf-copydb.c: remove setenv statement that disables i18n support as
    that statement still causes the debconf database in /target to be trashed.

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll

 -- Frans Pop <fjp@debian.org>  Wed, 21 Jun 2006 13:47:47 +0200

cdebconf (0.102ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Jun 2006 11:57:05 +0100

cdebconf (0.102) unstable; urgency=low

  * Add a dirty flag to rfc822db, so that we don't have to save databases if
    no changes occurred. Should make time between installer menu steps a lot
    shorter, since the templates database is not generally modified.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Italian (it.po) by Giuseppe Sacco
  * Northern Sami (se.po) by Børre Gaup
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Attilio Fiandrotti <fiandro@tiscali.it>  Sun, 11 Jun 2006 12:33:19 +0200

cdebconf (0.101) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Removed arrows from GTK frontend buttons as they look ugly with RTL
    languages.

  [ Christian Perrier ]
  * Split out _Choices to __Choices in templates.

  [ Max Vozeler ]
  * Add question_get_variable() function to lookup the value of template
    variables.
  * Mention plugin examples and note about using exported functions where
    possible in doc/plugins.txt.

  [ Frans Pop ]
  * Look first in /usr/lib/directfb when determining dependencies to obtain
    correct deps from cdebconf-gtk-udeb.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Safir Secerovic
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Fri, 12 May 2006 07:33:04 +0200

cdebconf (0.100) unstable; urgency=low

  [ Colin Watson ]
  * Stop processing frontend options once the config script name is
    encountered.
  * Make the confmodule pass -- as the first argument to the frontend to
    make absolutely sure that the config script doesn't get misinterpreted
    as an option.

  [ Attilio Fiandrotti ]
  * Added GTK version check at compile time to selectively enable some GTK
    frontend features.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Basque (eu.po) by Piarres Beobide
  * Irish (ga.po) by Kevin Patrick Scannell
  * Khmer (km.po) by hok kakada
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Cuhalev
  * Tamil (ta.po) by Damodharan Rajalingam

 -- Frans Pop <fjp@debian.org>  Mon, 10 Apr 2006 00:09:07 +0200

cdebconf (0.99) unstable; urgency=low

  * Rebuilt with new libd-i to get correct udeb library dependencies.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:44:38 -0500

cdebconf (0.98) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Workaround for a GTKDFB bug that causes first pixels of sentences
    to be sometimes cutted away, thanks to Davide Viti and Mohammed
    Adnène Trojette for finding this bug.
  * Added support for PROGRESSCANCEL command to the GTK frontend, whose
    GTK signals handling system is now asynchronous (closes: #322381).
  * Buttons in the GTK frontend are now translated also if progressbar
    is started before a question is asked (closes: #355804).
    Set to NULL a forgot pointer, updated some code comments.

  [ Joey Hess ]
  * Add shlibs line for libdebconfclient0-udeb.


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev, libdebian-installer4-dev | libdebian-installer-dev
+Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.1
@@ -76,7 +76,6 @@
 Section: debian-installer
 Priority: optional
 Depends: ${shlibs:Depends}, cdebconf-udeb
-Provides: libdebconfclient0
 XC-Package-Type: udeb
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is

=== debian/rules ===
--- 
+++ 
@@ -120,9 +120,10 @@
 	dh_strip -s
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -s
+	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
 	dh_installdeb -s
-	dh_shlibdeps -s
+	# Look first in /usr/lib/directfb to get correct dependencies for cdebconf-gtk
+	dh_shlibdeps -s -l/usr/lib/directfb
 	dh_gencontrol -s
 	dh_builddeb -s

## cdebconf 0.111ubuntu2

=== src/modules/frontend/gtk/Makefile ===
MODULE=gtk
SOBJ=gtk.so
OBJS=gtk.opic
MODCFLAGS=`pkg-config --cflags gtk+-directfb-2.0 gthread-2.0`

MODLDFLAGS=`pkg-config --libs gtk+-directfb-2.0 gthread-2.0`

include ../modules.mak

=== debian/changelog ===
cdebconf (0.111ubuntu2) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Feb 2007 09:50:03 +0000

cdebconf (0.111ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Disable gtk frontend.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Dec 2006 11:50:46 +0000

cdebconf (0.111) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * For SELECT handlers, properly manage those cases where the default option
    exists multiple times. Closes: #402661.
  * Only set the title of questions and progress bars once; reset the title of
    a progress bar after a question has been asked while one is running.

 -- Frans Pop <fjp@debian.org>  Sat, 16 Dec 2006 17:57:12 +0100

cdebconf (0.110ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Disable gtk frontend.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Dec 2006 10:20:17 +0000

cdebconf (0.110) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Create buttons in GTK frontend inactive and hide them while the
    progressbar runs. Closes: #400124.
  * Avoid crash in GTK frontend in some cases during language selection.
    Closes: #401871.

  [ Colin Watson ]
  * Restore newt progress bar refactoring, this time with an extra tweak to
    tear down the old progress bar if you attempt to start a nested progress
    bar. (Don't do that; it's not supported and trying to use the outer
    progress bar after stopping the inner one will result in cdebconf
    silently sitting there at a black screen. However, partman-auto does
    this at the moment. See #391676.)

  [ Petter Reinholdtsen ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Basque (eu.po) by Piarres Beobide
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 01:13:33 +0100

cdebconf (0.109ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Disable gtk frontend.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Nov 2006 12:24:13 +0000

cdebconf (0.109) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Disable the screenshot button before gtk_go() returns. Closes: #396071.
  * Change handler for BOOLEAN questions in GTK frontend to use radiobuttons
    instead of a checkbox. Closes: #395052.
  * Make sure the default choice for countrychooser/country-name is correctly
    preselected by the GTK frontend's special handler. Closes: #397877.
  * Fixed scrolling to default option in GTK frontend for SELECT questions.
    Closes: #340007.
  * Remove code belonging to ancient SELECT and BOOLEAN handlers which are
    no longer used.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Esperanto (eo.po) by Serge Leblanc
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 14:23:39 +0100

cdebconf (0.108) unstable; urgency=low

  * Revert refactoring of progress bar in newt frontend. Closes: #391676.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Catalan (ca.po) by Jordi Mallach
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Indonesian (id.po) by Arief S Fitrianto
  * Kurdish (ku.po) by Erdal Ronahi
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Romanian (ro.po) by Eddy Petrișor
  * Tamil (ta.po) by Damodharan Rajalingam
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 14:01:53 +0200

cdebconf (0.107) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * A double click on a tree leaf is now equivalent to selecting it and
    pressing continue. Closes: #382357.

  [ Frans Pop ]
  * cdebconf/udeb: add debconf/language template and set default language for
    the installer to "en" (#381142).

  [ Updated translations ]
  * Greek (el.po) by quad-nrg.net
  * Estonian (et.po) by Siim Põder
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Macedonian (mk.po) by Georgi Stanojevski
  * Albanian (sq.po) by Elian Myftiu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Fri,  6 Oct 2006 02:27:00 +0200

cdebconf (0.106) unstable; urgency=low

  [ Denis Barbier ]
  * Change select, multiselect and button colors for the newt interface
    when FRONTEND_BACKGROUND=dark, to improve text readability.

  [ Attilio Fiandrotti ]
  * Fix buffer overflow spotted by Aike Reyer <aike@users.sourceforge.net>
    in the GTK frontend. Closes: #386752.
  * GTK frontend: force DirectFB to reload keymap at every frontend_go() run.
    This will ensure that we have the correct keymap after the user selects
    one in kbd-chooser. This solution is a workaround until we can implement
    a reload triggered from kbd-chooser, which would be cleaner.
    Closes: #381979.

  [ Colin Watson ]
  * Refactor newt frontend to have a single common function to build the
    progress bar form, which redraws the progress bar when the
    progresscancel state changes (closes: https://launchpad.net/bugs/47733).
  * Allow Choices-C to be listed separately from Choices (etc.) in templates
    files. This lets you say "Choices: ${CHOICES-TRANS}" and "Choices-C:
    ${CHOICES}" to substitute reliably into translated and untranslated
    templates without having to ensure that ${CHOICES-TRANS} is translated
    to the same thing in every language.
  * X_LOADTEMPLATEFILE now takes an optional owner argument, passed to it by
    debconf-loadtemplate.


=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.1
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf
 
 Package: cdebconf
 Architecture: any

## cdebconf 0.114

=== Makefile ===
# This is just the bootstrapping makefile

all: cdebconf man

globalmakeflags:
	./configure

cdebconf: globalmakeflags
	$(MAKE) -C src

man:
	$(MAKE) -C man

configure: configure.in
	autoconf

install:
	$(MAKE) -C src $@
	$(MAKE) -C man $@

clean: 
	-rm -f *-stamp
	-$(MAKE) -C src $@

distclean: clean
	-rm -f config.status config.log config.cache globalmakeflags
	-rm -f src/cdebconf.conf-dist src/Makefile src/config.h man/Makefile

.PHONY: cdebconf clean distclean

=== src/modules/frontend/newt/Makefile ===
MODULE=newt
SOBJ=newt.so
OBJS=newt.opic

MODLDFLAGS=-lnewt

include ../modules.mak

install::
ifneq ($(TARGET),udeb)
	install -m 644 ${srcdir}/src/modules/frontend/newt/config-newt.h $(DESTDIR)${incdir}
endif

=== debian/changelog ===
cdebconf (0.114) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Fix display of text in info box for gtk frontend. Closes: #408435.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen A
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:39:56 +0100

cdebconf (0.113) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * For SELECT and MULTISELECT questions, only update the debconf database if
    the user presses <Ok>. Closes: #407205.
  * Workaround for crash when performing drag'n'drop of text (experienced with
    gtk/dfb 2.8.20). Closes: #407035.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Latvian (lv.po) by Aigars Mahinovs
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:26:06 +0100

cdebconf (0.112) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * The cursor is now "I" shaped only when over a text input box, this is a
    workaround to a gtk/dfb bug. Closes: #404482.
  * Removed an old workaround due to gtk_tree_path_new_from_indices() lacking
    in gtk+ 2.0, code cleanup.

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Sat,  6 Jan 2007 10:34:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5)
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.1
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf
@@ -133,7 +132,7 @@
  by the debian-installer.
 
 Package: cdebconf-gtk-udeb
-Architecture: disabled
+Architecture: any
 Section: debian-installer
 Priority: optional
 Depends: cdebconf-udeb, ${shlibs:Depends}, rootskel-gtk (>=0.05)

## cdebconf 0.114etch1

=== debian/changelog ===
cdebconf (0.114etch1) stable; urgency=low

  [ Colin Watson ]
  * Fix off-by-one error reading from confmodule (thanks, Baruch Even;
    closes: #430108).
  * Fix a bunch of reference-counting bugs and other memory leaks.
  * Fix another (large!) memory leak: parsed RFC822 stanzas were never freed.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 07 Sep 2007 13:08:17 +0200

## cdebconf 0.117build1

=== debian/changelog ===
cdebconf (0.117build1) gutsy; urgency=low

  * Trigger rebuild for hppa

 -- LaMont Jones <lamont@ubuntu.com>  Thu, 04 Oct 2007 12:00:32 -0600

cdebconf (0.117) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * gtk.c: remove some compatibility conditions that are no longer needed.
    Closes: #427657.
  * Removed workaround for #404482, fixed upstream in gtk+ release 2.10.13.

  [ Otavio Salvador ]
  * Reduce the usage of casting to struct frontend_data on GTK frontend
    code. Closes: #426745.

  [ Colin Watson ]
  * Remove five function pointers in every struct template that always
    pointed to the same functions (or were entirely unused, in the cases of
    get and set); export those functions from template.c instead.
  * Fix off-by-one error reading from confmodule (thanks, Baruch Even;
    closes: #430108).
  * Document proposed PROGRESS REGION command.
  * Fix a bunch of reference-counting bugs and other memory leaks.
  * If DEBCONF_DROP_TRANSLATIONS is set to 1, then don't read translations
    we aren't going to use, and reload the templates database if the
    language is changed since we might not have the correct translations in
    memory any more. This saves around 20MB of memory at d-i run-time
    (closes: #329743). Note that this means that after the templates
    database is first saved (in practice, after anna has run), it will no
    longer be possible to change the language and get translated messages.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jun 2007 20:44:38 +0100

cdebconf (0.116) unstable; urgency=low

  [ Frans Pop ]
  * Increase TITLE_PADDING to 9 to allow for all extra characters around the
    title (newt frontend). Closes: #416543.

  [ Colin Watson ]
  * Restore newt help line to its original colours after displaying errors;
    compare #317354.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Mon, 21 May 2007 16:34:28 +0200

cdebconf (0.115) unstable; urgency=low

  [ Colin Watson ]
  * Add myself to debian/copyright as I have a fair bit of code in here.
  * Update copyright notice to 2007.

  [ Joey Hess ]
  * Multiply menu-item-numbers by 100

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:31:15 -0400

=== debian/control ===
--- 
+++ 
@@ -67,7 +67,7 @@
 Priority: standard
 Depends: cdebconf-udeb
 XC-Package-Type: udeb
-XB-Installer-Menu-Item: 930
+XB-Installer-Menu-Item: 93000
 Description: Change debconf priority
  This is a udeb that allows you to change the priority limit for the
  questions.

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 LIBDEBCONFDEV=libdebconfclient0-dev
 LIBDEBCONF=libdebconfclient0
 
-DEB_FRONTENDS=text newt
-UDEB_FRONTENDS=text newt
+DEB_FRONTENDS=text newt gtk
+UDEB_FRONTENDS=text newt gtk
 
 SIZEOPTFLAG=-Os
 SPEEDOPTFLAG=-O2
